#!/bin/bash

#WILDFLY_INSTANCE=wildfly-10.1.0.Final
WILDFLY_INSTANCE=wildfly-11.0.0.Final
MODULE_PATH=~/bin/${WILDFLY_INSTANCE}/modules/com/mk/module/main/

mvn clean install

#cleanup
find ~/bin/${WILDFLY_INSTANCE}/standalone/deployments/ -name "**.war" -type f -delete


#module
rm -rf ${MODULE_PATH}
mkdir -p ${MODULE_PATH}
cp ~/data/git/wildfly-transactions-module-sample/module/module/module.xml ${MODULE_PATH}
cp ~/data/git/wildfly-transactions-module-sample/module/target/*.jar ${MODULE_PATH}
cp ~/data/git/wildfly-transactions-module-sample/module/target/lib/*.jar ${MODULE_PATH}

#war
cp ~/data/git/wildfly-transactions-module-sample/main-app/target/*.war ~/bin/${WILDFLY_INSTANCE}/standalone/deployments/