package com.mk.transaction;

import lombok.extern.slf4j.Slf4j;

import javax.transaction.Transactional;
import java.util.Arrays;

@Slf4j
public class TransactionalService {

    @Transactional()
    public String testTransaction() {
        return String.valueOf(Arrays.stream(Thread.currentThread().getStackTrace()).map(StackTraceElement::getClassName).anyMatch(className -> className.contains("com.arjuna.ats.jta.cdi.transactional.TransactionalInterceptor")));
    }
}
