package com.mk.transaction;

import lombok.extern.slf4j.Slf4j;

import javax.inject.Inject;
import javax.ws.rs.GET;
import javax.ws.rs.Path;

@Slf4j
@Path("/")
public class MyController {

    @Inject
    private TransactionalService transactionalService;

    @GET
    @Path("/testTransactional")
    public String testTransactional() {
        String result = transactionalService.testTransaction();
        log.info("Transactional works: {}", result);
        return result + "\n";
    }
}
